## pygattlib 0~20201113

=== debian/changelog ===
pygattlib (0~20201113-1) unstable; urgency=medium

  * Initial Release. (Closes: #977950)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 23 Dec 2020 17:44:47 +0900

## pygattlib 0~20210616

=== Makefile ===
# -*- mode: makefile-gmake; coding: utf-8 -*-

all:
	$(MAKE) -C src $@

pypi-test-upload:
	python3 setup.py sdist
	twine upload --repository testpypi dist/*
	@echo "pip install -i https://test.pypi.org/simple/ gattlib --force-reinstall"

pypi-upload:
	python3 setup.py sdist
	twine upload dist/*

%:
	$(MAKE) -C src $@

.PHONY: clean
clean:
	$(MAKE) -C src $@
	$(RM) -fr build dist MANIFEST gattlib.egg-info

=== src/Makefile ===
# -*- mode: makefile-gmake; coding: utf-8 -*-

# Copyright (C) 2014,2020 Oscar Acena <oscaracena@gmail.com>
# This software is under the terms of Apache License v2 or later.

PLATFORM := $(shell uname -m)
TARGETS   = gattlib.so
OBJECTS   = att.o crypto.o uuid.o gatt.o gattrib.o btio.o log.o utils.o \
            gattservices.o gattlib.o bindings.o beacon.o

export PKG_CONFIG_PATH := $(PKG_CONFIG_PATH):/usr/lib/$(PLATFORM)-linux-gnu/pkgconfig/

PYTHON_CONFIG = python3-config
BOOST_PYTHON  = $(shell python3 ../setup.py --get-boost-lib)

CFLAGS  += -ggdb -fPIC -Wall $$($(PYTHON_CONFIG) --includes) \
           -Ibluez $$(pkg-config --cflags glib-2.0)
CFLAGS  += -DDEBUG

CFLAGS  += -DVERSION='"5.25"'
CXXFLAGS = $(CFLAGS)
LDFLAGS  = -l$(BOOST_PYTHON) -lboost_thread -lbluetooth \
           $$(pkg-config --libs glib-2.0)

vpath %.c bluez/attrib
vpath %.c bluez/src
vpath %.c bluez/src/shared
vpath %.c bluez/lib
vpath %.c bluez/btio

all: $(TARGETS)

gattlib.so: $(OBJECTS)
	$(CXX) $(CXXFLAGS) -shared -o $@ $^ $(LDFLAGS)

print-boost-ver:
	@echo $(BOOST_PYTHON)

.PHONY: clean
clean:
	rm -f *.o *.so* *~

=== debian/changelog ===
pygattlib (0~20210616-1build6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:18:13 +1100

pygattlib (0~20210616-1build5) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:37:09 +0100

pygattlib (0~20210616-1build4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:45:54 +0000

pygattlib (0~20210616-1build3) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:55:14 +0100

pygattlib (0~20210616-1build2) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:24:43 +0100

pygattlib (0~20210616-1build1) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Feb 2023 08:00:05 -0500

pygattlib (0~20210616-1) unstable; urgency=medium

  * New upstream released. (Closes: #1011237)
  * Update d/copyright:
    - Fix superfluous-file-pattern warning of lintian.
    - Update copyright year.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 12 Jan 2023 12:57:42 +0900

pygattlib (0~20201113-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix misbuild with multiple supported Python3 versions.  Closes: #999806
    Thanks to Steve Langasek for the patch.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 02 Jan 2022 15:38:19 +0100

=== debian/control ===
Source: pygattlib
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-all-dev,
               python3-setuptools,
               dh-python,
               libglib2.0-dev,
               libboost-python-dev,
               libboost-thread-dev,
               libbluetooth-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/oscaracena/pygattlib
Vcs-Browser: https://salsa.debian.org/bluetooth-team/pygattlib
Vcs-Git: https://salsa.debian.org/bluetooth-team/pygattlib.git

Package: python3-gattlib
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Bluetooth LE GATT library for Python 3
 This is a Python library to use the GATT Protocol for Bluetooth LE
 devices. It is a wrapper around the implementation used by gatttool
 in bluez package.
